Mandriva Linux Security Advisory : mutt (MDVSA-2012:048)

Medium Nessus Plugin ID 58575

Synopsis

The remote Mandriva Linux host is missing one or more security updates.

Description

A vulnerability has been found and corrected in mutt :

Mutt does not verify that the smtps server hostname matches the domain name of the subject of an X.509 certificate, which allows man-in-the-middle attackers to spoof an SSL SMTP server via an arbitrary certificate, a different vulnerability than CVE-2009-3766 (CVE-2011-1429).

The updated packages have been patched to correct this issue.

Solution

Update the affected mutt, mutt-doc and / or mutt-utf8 packages.

Plugin Details

Severity: Medium

ID: 58575

File Name: mandriva_MDVSA-2012-048.nasl

Version: 1.7

Type: local

Published: 2012/04/03

Updated: 2019/08/02

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5.8

Temporal Score: 4.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:mutt, p-cpe:/a:mandriva:linux:mutt-doc, p-cpe:/a:mandriva:linux:mutt-utf8, cpe:/o:mandriva:linux:2010.1, cpe:/o:mandriva:linux:2011

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/04/02

Reference Information

CVE: CVE-2011-1429

BID: 46803

MDVSA: 2012:048